%define cmajor  2
%define clibname %mklibname %{name}c %{cmajor}
%define devname %mklibname %{name} -d

Name:           msgpack
Version:        2.1.1
Release:        %mkrel 2
Summary:        Binary-based efficient object serialization library
Group:          System/Libraries
License:        ASL 2.0
URL:            http://msgpack.org
Source0:        https://github.com/msgpack/msgpack-c/releases/download/cpp-%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
# for %%check
BuildRequires:  gtest-devel
BuildRequires:  pkgconfig(zlib)

%description
MessagePack is a binary-based efficient object serialization
library. It enables to exchange structured objects between many
languages like JSON. But unlike JSON, it is very fast and small.

#----------------------------------------------------------------------

%package -n     %{clibname}
Summary:        Binary-based efficient object serialization library
Group:          System/Libraries

%description -n %{clibname}
MessagePack is a binary-based efficient object serialization
library. It enables to exchange structured objects between many
languages like JSON. But unlike JSON, it is very fast and small.

This package contains the C version of MessagePack, lib%{name}c.

%files -n       %{clibname}
%{_libdir}/lib%{name}c.so.%{cmajor}
%{_libdir}/lib%{name}c.so.%{cmajor}.*

#----------------------------------------------------------------------

%package -n     %{devname}
Summary:        Libraries and header files for %{name}
Group:          Development/C++
Requires:       %{clibname} = %{version}-%{release}

%description -n %{devname}
Libraries and header files for %{name} and %{name}c.

%files -n       %{devname}
%doc AUTHORS COPYING ChangeLog LICENSE_1_0.txt NOTICE README README.md
%{_includedir}/%{name}/
%{_includedir}/%{name}.h
%{_includedir}/%{name}.hpp
%{_libdir}/lib%{name}c.so
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake
%make_build

%check
# C library tests fail due to path issue
# https://github.com/msgpack/msgpack-c/issues/593
#make_build -C build test

%install
%make_install -C build

find %{buildroot} -name '*.a' -delete


%changelog
* Thu May 25 2017 akien <akien> 2.1.1-2.mga6
+ Revision: 1104632
- Delete static library
- Version 2.1.1
- C++ shared library removed, now a header-only library

* Thu Jan 14 2016 pterjan <pterjan> 1.3.0-2.mga6
+ Revision: 922936
- Add upstream patch fixing build when char is unsigned

* Mon Jan 11 2016 akien <akien> 1.3.0-1.mga6
+ Revision: 921867
- Version 1.3.0

* Fri Aug 28 2015 cjw <cjw> 1.1.0-2.mga6
+ Revision: 870734
- rebuild with gcc 5

* Mon Jun 22 2015 akien <akien> 1.1.0-1.mga6
+ Revision: 839340
- Version 1.1.0, soname major increase for libmsgpack

* Sat Dec 27 2014 akien <akien> 0.5.9-1.mga5
+ Revision: 806622
- imported package msgpack

